Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.artifacts
Interface SelfResolvingDependency

All Superinterfaces:
  Buildable, Dependency

All Known Subinterfaces:
  FileCollectionDependency, ProjectDependency

    public interface SelfResolvingDependency

extends Dependency, Buildable

A `SelfResolvingDependency` is a `Dependency` which is able to resolve itself, independent of a repository.

Field Summary

Fields inherited from interface org.gradle.api.artifacts.Dependency
`ARCHIVES_CONFIGURATION, CLASSIFIER, DEFAULT_CONFIGURATION`

Method Summary
`Set<File>` | `resolve()` Resolves this dependency.
`Set<File>` | `resolve(boolean transitive)` Resolves this dependency by specifying the transitive mode.

Methods inherited from interface org.gradle.api.artifacts.Dependency
`contentEquals, copy, getGroup, getName, getVersion`

Methods inherited from interface org.gradle.api.Buildable
`getBuildDependencies`

Method Detail

### resolve

    Set<File> resolve()

  Resolves this dependency. A `ProjectDependency` is resolved with transitive equals true by this method.

  Returns:
    The files which make up this dependency.
  See Also:
    `resolve(boolean)`

### resolve

    Set<File> resolve(boolean transitive)

  Resolves this dependency by specifying the transitive mode. This mode has only an effect if the self resolved dependency is of type `ProjectDependency`. In this case, if transitive is `false`, only the self resolving dependencies of the project configuration which are no project dependencies are resolved. If transitive is set to true, other project dependencies belonging to the configuration of the resolved project dependency are resolved recursively.

  Parameters:
    `transitive` - Whether to resolve transitively. Has only an effect on a `ProjectDependency`
  Returns:
    The files which make up this dependency.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD